# Validates archive features POST https://app.unleash-instance.example.com/api/admin/projects/{projectId}/archive/validate Content-Type: application/json This endpoint return info about the archive features impact. Reference: https://docs.getunleash.io/api/validate-archive-features ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Validates archive features version: endpoint_features.validateArchiveFeatures paths: /api/admin/projects/{projectId}/archive/validate: post: operationId: validate-archive-features summary: Validates archive features description: This endpoint return info about the archive features impact. tags: - - subpackage_features parameters: - name: projectId in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: validateArchiveFeaturesSchema content: application/json: schema: $ref: '#/components/schemas/validateArchiveFeaturesSchema' '400': description: The request data does not match what we expect. content: {} '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '415': description: >- The operation does not support request payloads of the provided type. Please ensure that you're using one of the listed payload types and that you have specified the right content type in the "content-type" header. content: {} requestBody: description: batchFeaturesSchema content: application/json: schema: $ref: '#/components/schemas/batchFeaturesSchema' components: schemas: batchFeaturesSchema: type: object properties: features: type: array items: type: string description: List of feature flag names required: - features validateArchiveFeaturesSchema: type: object properties: parentsWithChildFeatures: type: array items: type: string description: >- List of parent features that would orphan child features that are not part of the archive operation hasDeletedDependencies: type: boolean description: Whether any dependencies will be deleted as part of archive required: - parentsWithChildFeatures - hasDeletedDependencies ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/archive/validate" payload = { "features": ["my-feature-4", "my-feature-5", "my-feature-6"] } headers = { "Authorization": "", "Content-Type": "application/json" } response = requests.post(url, json=payload, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/archive/validate'; const options = { method: 'POST', headers: {Authorization: '', 'Content-Type': 'application/json'}, body: '{"features":["my-feature-4","my-feature-5","my-feature-6"]}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/archive/validate" payload := strings.NewReader("{\n \"features\": [\n \"my-feature-4\",\n \"my-feature-5\",\n \"my-feature-6\"\n ]\n}") req, _ := http.NewRequest("POST", url, payload) req.Header.Add("Authorization", "") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/archive/validate") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Post.new(url) request["Authorization"] = '' request["Content-Type"] = 'application/json' request.body = "{\n \"features\": [\n \"my-feature-4\",\n \"my-feature-5\",\n \"my-feature-6\"\n ]\n}" response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.post("https://app.unleash-instance.example.com/api/admin/projects/projectId/archive/validate") .header("Authorization", "") .header("Content-Type", "application/json") .body("{\n \"features\": [\n \"my-feature-4\",\n \"my-feature-5\",\n \"my-feature-6\"\n ]\n}") .asString(); ``` ```php request('POST', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/archive/validate', [ 'body' => '{ "features": [ "my-feature-4", "my-feature-5", "my-feature-6" ] }', 'headers' => [ 'Authorization' => '', 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/archive/validate"); var request = new RestRequest(Method.POST); request.AddHeader("Authorization", ""); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"features\": [\n \"my-feature-4\",\n \"my-feature-5\",\n \"my-feature-6\"\n ]\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = [ "Authorization": "", "Content-Type": "application/json" ] let parameters = ["features": ["my-feature-4", "my-feature-5", "my-feature-6"]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/archive/validate")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```